Bug 1017025 - BIND10 should be run as user 'named'
BIND10 should be run as user 'named'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bind10 (Show other bugs)
rawhide
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 03:33 EDT by Tomáš Hozza
Modified: 2013-12-13 22:41 EST (History)
3 users (show)

See Also:
Fixed In Version: bind10-1.1.0-11.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 23:33:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomáš Hozza 2013-10-09 03:33:36 EDT
Description of problem:
Because of Bug #1003972 BIND10 has to be run as root at the moment. DHCP servers
create sockets by themselves and is not run as root, they don't have enough
permissions to set proper socket options.

Once DHCP servers are modified to use b10-socketcreator to create socket, BIND10
should be modified to run as 'named' user ("-u named").

Version-Release number of selected component (if applicable):
latest

How reproducible:
always

Steps to Reproduce:
1. cat /usr/lib/systemd/system/bind10.service


Actual results:
ExecStart=/usr/sbin/bind10 --pid-file /run/bind10/bind10.pid

Expected results:
ExecStart=/usr/sbin/bind10 -u named --pid-file /run/bind10/bind10.pid

Additional info:
https://lists.isc.org/pipermail/bind10-dhcp/2013-October/000043.html
http://bind10.isc.org/ticket/2780
http://bind10.isc.org/ticket/3176
Comment 1 Tomáš Hozza 2013-11-18 07:11:53 EST
Resolved using setcap to gran necessary capabilities to DHCP4/6 servers.
Comment 2 Fedora Update System 2013-11-18 07:26:51 EST
bind10-1.1.0-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bind10-1.1.0-6.fc19
Comment 3 Fedora Update System 2013-11-18 08:07:36 EST
bind10-1.1.0-11.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bind10-1.1.0-11.fc20
Comment 4 Fedora Update System 2013-11-18 15:18:20 EST
Package bind10-1.1.0-11.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bind10-1.1.0-11.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21615/bind10-1.1.0-11.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-11-26 23:33:17 EST
bind10-1.1.0-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-12-13 22:41:54 EST
bind10-1.1.0-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.